Subject: bug#43772: 27.1; (describe-variable) breaks eshell

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Oct 2020 10:09:14 +0200

[email-masked] writes:

> When using eshell-mode, calling `(describe-variable)` on a variable that
> starts with "eshell" causes eshell-watch-for-password-prompt to no
> longer function correctly.  In the attached dribble file, I first show
> the correct behavior by opening eshell and entering `sudo ls`; eshell
> correctly prompts me for a password three times.  I then run
> `(describe-variable 'eshell-after-prompt-hook)` and then enter `sudo
> ls`.  This time, eshell displays the incorrect behavior: it prints the
> string "password" but does not accept input as a password or print any
> output from the command. 

There was no dribble file attached, but I was able to reproduce the bug
in Emacs 28, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no